# Webhooks Discord
> Send High Quality Embedded Webhooks To Your Discord Server

# Usage

# To Initialize
```js
const Webhook = require("discord-webhook")
const Hook = new Webhook("WEBHOOK URL")
```

# Info Format Webhook
```js
Hook.Info("WEBHOOK NAME","Info")
```

# Warn Format Webhook
```js
Hook.Warn("WEBHOOK NAME", "Warning")
```

# Error Format Webhook
```js
Hook.Err("WEBHOOK NAME","Error")
```

# Success Format Webhook
```js
Hook.Success("WEBHOOK NAME","Success Webhook!")
```

# Custom Format Webhook
```js
Hook.Custom("WEBHOOK NAME","MESSAGE CONTENT","MESSAGE TITLE","MESSAGE COLOUR HEX (Optional)")
```


# Custom Format Webhook With Image
```js
Hook.Image("WEBHOOK NAME","MESSAGE CONTENT","MESSAGE TITLE", "IMAGE URL")
```

# Announcement Format Webhook
```js
Hook.Announcement("WEBHOOK NAME","Announcement Content")
```


# Example Ready Event Discord.JS Handlers (Based On One File)
```js
const Discord = require('discord.js')
const client = new Discord.Client(); // You Can Attatch Client Settings There
const Webhook = require('discord-webhook');
const Hook = new Webhook("WEBHOOK URL")

client.on('ready', () => 
console.log("[READY]", `Logged In As ${client.user.username}!`);
Hook.Info("Ready Event", `Logged In As ${client.user.username}!`);
}
```
